Search documentation of ExStreamClient

# ExStreamClient.Model.QueryReviewQueueResponse (ExStreamClient v0.1.10)

View Source

Schema representing a QueryReviewQueueResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.QueryReviewQueueResponse{
      action_config: %{
        optional(String.t()) => [ExStreamClient.Model.ModerationActionConfig.t()]
      },
      duration: String.t(),
      items: [ExStreamClient.Model.ReviewQueueItemResponse.t()],
      next: String.t() | nil,
      prev: String.t() | nil,
      stats: %{optional(String.t()) => any()}
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()